<?php

namespace App\Models;

use App\User;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Model;

class GrossRelease extends Model
{
    use SoftDeletes;

    protected $table = 'rcvd_gross_release';

    protected $fillable = ['rcvd_id', 'rcvd_date', 'pay_mode', 'amount','particulars', 'user_id', 'is_released'];

    public static function boot()
    {
        //parent::boot();
        //Developer::observe(new \App\Observers\UserActionsObserver);
    }

    public function user() {
        return $this->belongsTo(User::class, 'user_id');
    }

}
